# Retrieve a Recurring Donation Setup
source: https://developer.mastercard.com/donations/documentation/use-cases/manage-recur-donations/retrieve-a-recur-donation/index.md

## Overview {#overview}

The **Get Recurring Donation** endpoint retrieves the setup details of a recurring donation specified in the request. To fetch the details of a recurring donation, provide both the unique `donorid` and the `donation_setup_id` that was created at the time the donor set up the recurring donation.

A successful request returns the `HTTP 200 OK` status and a JSON response body that includes the unique `donationSetupId`, `setupStatus`, and donation setup details.

## Sequence Diagram {#sequence-diagram}

The following outlines the sequence of events:
Diagram retrieve-a-recur-donation

## Execution Steps {#execution-steps}

The following details the steps in the above sequence diagram:

1. The donor requests to retrieve a particular donation setup details and provides the `donation_setup_id`.
2. The partner user interface forwards the request to the partner server.
3. The partner server calls the `GET /donations/donors/{donor_id}/donation-setups/{donation_setup_id}` endpoint. It provides the `donorId` and the `donation_setup_id` in the endpoint request to the Mastercard Donate service. Note: The `GET /donations/donors/{donor_id}/setups/{donation_setup_id}` endpoint is deprecated and should no longer be used.
4. The Mastercard Donate service validates the request and verifies the donor ID.
5. The Mastercard Donate service verifies the donation setup ID if it finds the donor ID.
6. The Mastercard Donate service returns the donation setup details corresponding to the donation setup ID to the partner server if it finds the donation setup ID.
7. The partner server sends the donation setup details to the partner user interface.
8. The partner user interface displays the donation setup details on the end-user screen.
9. The Mastercard Donate service sends the error message 'Donation Setup ID not Found. Please provide valid setup ID' to the partner server if it does not find the donation setup ID.
10. The partner server forwards the error message 'Donation Setup ID not Found. Please provide valid setup ID' to the partner user interface.
11. The partner user interface displays the error message 'Donation Setup ID not Found. Please provide valid setup ID' on the end-user screen.
12. The Mastercard Donate service sends the error message 'Provided donor ID is not valid. Please check and provide a valid unique ID' to the partner server if it does not find the donor ID.
13. The partner server forwards the error message 'Provided donor ID is not valid. Please check and provide a valid unique ID' to the partner user interface.
14. The partner user interface displays the error message 'Provided donor ID is not valid. Please check and provide a valid unique ID' on the end-user screen.

## Endpoint {#endpoint}


API Reference: `GET /donors/{donor_id}/setups/{donation_setup_id}`


API Reference: `GET /donors/{donor_id}/donation-setups/{donation_setup_id}`

## Endpoint Parameters {#endpoint-parameters}

For more details on the endpoint parameters, refer to the [Parameters to Retrieve a Recurring Donation Setup](https://developer.mastercard.com/donations/documentation/parameters/manage-recur-donation-param/retrieve-a-donation-setup/index.md) section.

## Sample Request and Response {#sample-request-and-response}

For more details, refer to the [Retrieve a Recurring Donation Setup](https://developer.mastercard.com/donations/tutorial/donation-api-details/monthlyapi/index.md#get-donations) tutorial.
